Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.process
[Java] Interface ExecResult

    public interface ExecResult

Represents the result of running an external process.

Method Summary
`ExecResult` | `assertNormalExitValue()` Throws an org.gradle.process.internal.ExecException if the process exited with a non-zero exit value.
`int` | `getExitValue()` Returns the exit value of the process.
`ExecResult` | `rethrowFailure()` Re-throws any failure executing this process.

Method Detail

### assertNormalExitValue

    public ExecResult assertNormalExitValue()

  Throws an org.gradle.process.internal.ExecException if the process exited with a non-zero exit value.
  throws:
    ExecException if the process exited with a non-zero exit value
  Returns:
    this

### getExitValue

    public int getExitValue()

  Returns the exit value of the process.

### rethrowFailure

    public ExecResult rethrowFailure()

  Re-throws any failure executing this process.
  throws:
    ExecException the execution failure
  Returns:
    this

Gradle API 1.10